﻿/* 
    Document   : jssagord
    Created on : Jan 16, 2013, 6:23:32 PM
    Author     : Lufty Abdillah
    Description: Chat-styled Message Board
*/

.jssagord {
    position: relative;
    padding: 0;
    border: 1px solid #424242;
    width: 300px;
    height: 450px;
    overflow: hidden;
    background-color: #1f4577;
    
    -moz-border-radius: 15px;
    -webkit-border-radius: 15px;
    border-radius: 15px;
}

.jssagord .list-wrapper {
    position: relative;
    top: 0;
    height: 57%;
    padding: 10px 0;
    overflow: auto;    
    background-color: #E6EAF0;
}

.jssagord .list-wrapper > .list {
    margin: 0;    
    padding: 0;
    list-style: none;
}

.jssagord .list-wrapper > .list li.even {
    background-color: #F0F6FF;
}

.jssagord .list-wrapper > .list .text {
    color: #424242;
}

.jssagord .list-wrapper > .list > li {
    padding: 5px;    
}

.jssagord .chatbox {
    position: relative;
    bottom: 0;
    height: 43%;
    padding: 3%;
    padding-top: 7%;
    border-top: 1px solid #000;
    
    background: #6891c9;
    background: -moz-linear-gradient(top,  #6891c9 0%, #1f4577 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6891c9), color-stop(100%,#1f4577));
    background: -webkit-linear-gradient(top,  #6891c9 0%,#1f4577 100%);
    background: -o-linear-gradient(top,  #6891c9 0%,#1f4577 100%);
    background: -ms-linear-gradient(top,  #6891c9 0%,#1f4577 100%);
    background: linear-gradient(to bottom,  #6891c9 0%,#1f4577 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6891c9', endColorstr='#1f4577',GradientType=0 );
}

.jssagord #slider,
.jssagord .chatbox #slider,
.jssagord .chatbox #attachment-form #slider {
    position: absolute;        
    color: #fff;
    font-size: 0.8em;
}

.jssagord .chatbox #slider {
    top: 3px;
    right: 5px;
}

.jssagord > #slider {
    display: none;
    bottom: 5px;
    right: 10px;
    color: #fff;
}

.jssagord #slider:hover {
    cursor: pointer;
}

.jssagord .chatbox #message,
.jssagord .chatbox .recipient-form,
.jssagord .chatbox .buttons,
.jssagord .chatbox #options {
    display: block;
    width: 94%;
    margin-top: 3px;    
}

.jssagord .chatbox #options {
    color: #fff;
    font-size: 0.8em;
}

.jssagord .chatbox .buttons     
{
    margin-top: 10px;
    text-align: center;
}

.jssagord .chatbox .buttons .button {
    display: inline;
    width: 80px;
}

.jssagord .chatbox .recipient-form #label {
    color: #fff;
    font-size: 0.9em;    
}

.jssagord .chatbox .recipient-form 
{
    width: 100%;
}

.jssagord .chatbox .recipient-form #text {    
    font-size: 0.8em;
    width: 244px;
    padding: 3px;
    border: 1px solid #3664B5;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
}

.jssagord .chatbox #message {
    resize: none;
    border: 1px solid #3664B5;
    padding: 3px;
    font-size: 1.1em;
    
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.jssagord .chatbox #attachment-form {
    position: absolute;
    padding: 5px;
    border-top: 1px solid #424242;
    background: #1f4577;
    background: -moz-linear-gradient(top,  #1f4577 0%, #6891c9 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#1f4577), color-stop(100%,#6891c9));
    background: -webkit-linear-gradient(top,  #1f4577 0%,#6891c9 100%);
    background: -o-linear-gradient(top,  #1f4577 0%,#6891c9 100%);
    background: -ms-linear-gradient(top,  #1f4577 0%,#6891c9 100%);
    background: linear-gradient(to bottom,  #1f4577 0%,#6891c9 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1f4577', endColorstr='#6891c9',GradientType=0 );
}

.jssagord .chatbox #attachment-form #form,
.jssagord .chatbox #attachment-form #list {
    display: block;
    position: relative;
}

.jssagord .chatbox #attachment-form #form {    
    margin-left: auto;
    margin-right: auto;
    width: 90%;
    margin-top: 30px;
    padding-bottom: 10px;
    border-bottom: 1px dotted #fff;
}

.jssagord .chatbox #attachment-form #slider {
    top: 5px;
    right: 15px;
}

.jssagord .chatbox #attachment-form #form #attachment-file {
    margin-bottom: 5px;
}

.jssagord .chatbox #attachment-form #list {
    margin-left: auto;
    margin-right: auto;
    padding-top: 10px;
    padding-left: 30px;
    width: 90%;
    height: 75%;
    overflow: auto;   
    color: #fff;
}

.jssagord .chatbox #attachment-form #list > ul {
    padding: 10px;
    margin: 0;
    list-style: decimal;
}

.jssagord .chatbox #attachment-form #list > ul li a {
    color: #fff;
}

.jssagord .chatbox #attachment-form #list > ul li span {
    color: #FFE6E6;
    cursor: pointer;
}

.jssagord .list-wrapper .list li .message-header {
    position: relative;
    margin-bottom: 5px;
    font-weight: bold;
}

.jssagord .list-wrapper .list li .message-header,
.jssagord .list-wrapper .list li .attachments,
.jssagord .list-wrapper .list li .text {
    display: block;
    width: 100%;
}

.jssagord .list-wrapper .list li .message-header .date {
    position: absolute;
    top: 0;
    right: 0;
}

.jssagord .list-wrapper .list li .message-header #attachments {
    position: absolute;
    top: 0;
    right: 0;
}

.jssagord .list-wrapper .list li .message-header .date,
.jssagord .list-wrapper .list li .message-header .sender,
.jssagord .list-wrapper .list li .message-header #attachments {
    color: #6A707A;
    font-size: 0.9em;
}

.jssagord .list-wrapper .list li .message-header #attachments.active {
    color: #1f4577;
}

.jssagord .list-wrapper .list li .message-header #attachments {
    display: none;
}

.jssagord .list-wrapper .list li .message-header .date:hover,
.jssagord .list-wrapper .list li .message-header #attachments:hover {
    cursor: pointer;
}

.jssagord .list-wrapper .list li .attachments {    
    padding: 5px;     
    margin: 5px 0;
    -moz-border-top-left-radius: 5px;
    -moz-border-top-right-radius: 5px;
    -webkit-border-top-left-radius: 5px;
    -webkit-border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.jssagord .list-wrapper .list li .attachments > ul {
    list-style: decimal;
    padding-left: 3ex;    
}

.jssagord .list-wrapper .list li .attachments li,
.jssagord .list-wrapper .list li .attachments li a {
    color: #1f4577;
    font-size: 0.95em;
}